begin
convention positive_current_flow=inward
load_mesh mesh_inf=IGBT.aps  suprem_import=yes
output sol_outf=IGBT_switching.out
$include file=contact_2d.sol

suprem_to_apsys_material suprem_mater=3 apsys_mater=1
suprem_to_apsys_material suprem_mater=1 apsys_mater=2
suprem_to_apsys_material suprem_mater=4 apsys_mater=3
suprem_to_apsys_material suprem_mater=2 apsys_mater=4
suprem_to_apsys_material suprem_mater=6 apsys_mater=5

suprem_property user_material_mapping = yes

load_macro name= si mater= 1
load_macro name= sio2 mater= 2
load_macro name= poly mater= 3
load_macro name=sin mater=4
load_macro name=al mater=5


suprem_contact num=1 xrange=(0.0 10)  yrange=(-9999.000000 &&
9999.000000) touch_mater=5 side=upper

suprem_contact num=2 xrange=(3.4 10.0)  yrange=(0.1  &&
0.5) touch_mater=3 side=within

suprem_contact num=3 xrange=(0.0 10)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=lower

contact  num=1
contact  num=2
contact  num=3


lifetime_n value=100e-9 mater=1
lifetime_p value=100e-9 mater=1

minispice circuit_file=IGBT_switching.cir z_dim=8.33e5 &&
spice_device_to_tcadmesh=zigbt &&
contact1_to_spice_node=0 &&
contact2_to_spice_node=2 &&
contact3_to_spice_node=3

newton_par damping_step=2. var_tol=1.e-2 res_tol=1.e-2 &&
  max_iter=100 opt_iter=15 stop_iter=15
equilibrium

newton_par damping_step=5. var_tol=0.01 res_tol=0.01 &&
  max_iter=30 opt_iter=15 stop_iter=8

scan var=virtual_time value_to=1 init_step=0.01 min_step=1e-5 &&
max_step=0.1


scan var=time value_to=1.0e-6 init_step=1e-9 min_step=1e-14 &&
max_step=1e-7
scan var=time value_to=2.5e-6 init_step=1e-10 min_step=1e-14 &&
max_step=1e-8 print_step=0.1e-6
scan var=time value_to=8e-6 init_step=1e-10 min_step=1e-14 &&
max_step=2e-7 print_step=0.5e-6

end



